---
- name: install vim
  homebrew:
    name: vim
    state: latest
  when: ansible_os_family|lower == 'darwin'
  tags:
    - vim
    - pkg
    - install
    - vim-install
    - pkg-install

- name: create directories
  file:
    name: "{{ item }}"
    state: directory
  with_items:
    - ~/.config/vim/bundle
    - ~/.config/vim/backups
    - ~/.config/vim/swaps
    - ~/.config/vim/undo
  tags:
    - vim
    - vim-install

- name: install neobundle for managing vim packages
  git:
    repo: https://github.com/Shougo/neobundle.vim.git
    dest: ~/.config/vim/bundle/neobundle.vim
  tags:
    - vim
    - vim-install

- name: install vimrc
  template:
    src: vimrc.j2
    dest: ~/.vimrc
  tags:
    - vim
    - vim-install
